def recherche_binaire(liste, element, debut, fin):
    if debut > fin:
        return -1

    milieu = (debut + fin) // 2

    if liste[milieu] == element:
        return milieu
    if liste[milieu] > element:
        return recherche_binaire(liste, element, debut, milieu - 1)
    
    return recherche_binaire(liste, element, milieu + 1, fin)